Page MenuHomePhabricator

mw.ext.data.get() with '_' as the language (get all) does not 1-base re-indexing
Closed, ResolvedPublic

Description

Inconvenient, not yet used by wikis, but might get used soon, so should be fixed rather soonish.

`mw.ext.data.get('data', '_') will get 0-based data, while without the '_', or with a specific language value, it will return it 1-based.

Event Timeline

Yurik created this task.Jan 13 2017, 5:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 13 2017, 5:19 AM

Change 331958 had a related patch set uploaded (by Yurik):
Always lua-reindex tabular data

https://gerrit.wikimedia.org/r/331958

debt moved this task from Backlog to Needs review on the Maps-Sprint board.

Change 331958 merged by jenkins-bot:
Always lua-reindex tabular data

https://gerrit.wikimedia.org/r/331958

Deskana moved this task from Needs review to Done on the Maps-Sprint board.Jan 20 2017, 6:41 PM
debt closed this task as Resolved.May 30 2017, 7:21 PM
debt claimed this task.